Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.layoutmgr.table
Class TableContentLayoutManager

    java.lang.Object
      org.apache.fop.layoutmgr.table.TableContentLayoutManager

All Implemented Interfaces:
  PercentBaseContext

    public class TableContentLayoutManager

extends java.lang.Object
implements PercentBaseContext

Layout manager for table contents, particularly managing the creation of combined element lists.

Method Summary
`int` | `getBaseLength(int lengthBase, FObj fobj)` Returns the base length for the given length base.
`protected java.util.LinkedList` | `getFooterElements()`
`protected int` | `getFooterNetHeight()`
`protected java.util.LinkedList` | `getHeaderElements()`
`protected int` | `getHeaderNetHeight()`
`java.util.List` | `getNextKnuthElements(LayoutContext context, int alignment)` Get a sequence of KnuthElements representing the content of the node assigned to the LM.
`protected int` | `getXOffsetOfGridUnit(int colIndex, int nrColSpan)` Returns the X offset of the grid unit in the given column.
`protected int` | `getXOffsetOfGridUnit(PrimaryGridUnit gu)` Returns the X offset of the given grid unit.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getHeaderNetHeight

    protected int getHeaderNetHeight()

  Returns:
    the net header height

### getFooterNetHeight

    protected int getFooterNetHeight()

  Returns:
    the net footer height

### getHeaderElements

    protected java.util.LinkedList getHeaderElements()

  Returns:
    the header element list

### getFooterElements

    protected java.util.LinkedList getFooterElements()

  Returns:
    the footer element list

### getNextKnuthElements

    public java.util.List getNextKnuthElements(LayoutContext context,
                                               int alignment)

  Get a sequence of KnuthElements representing the content of the node assigned to the LM.

  Parameters:
    `context` - the LayoutContext used to store layout information
    `alignment` - the desired text alignment
  Returns:
    the list of KnuthElements
  See Also:
    `LayoutManager.getNextKnuthElements(LayoutContext, int)`

### getXOffsetOfGridUnit

    protected int getXOffsetOfGridUnit(PrimaryGridUnit gu)

  Returns the X offset of the given grid unit.

  Parameters:
    `gu` - the grid unit
  Returns:
    the requested X offset

### getXOffsetOfGridUnit

    protected int getXOffsetOfGridUnit(int colIndex,
                                       int nrColSpan)

  Returns the X offset of the grid unit in the given column.

  Parameters:
    `colIndex` - the column index (zero-based)
    `nrColSpan` - number columns spanned
  Returns:
    the requested X offset

### getBaseLength

    public int getBaseLength(int lengthBase,
                             FObj fobj)

  Returns the base length for the given length base. Length base should be one of the constants defined in `LengthBase`.

  Specified by:
    `getBaseLength` in interface `PercentBaseContext`
  Parameters:
    `lengthBase` - Indicates which type of the base length value is to be returned
    `fobj` - The FO object against which the percentage should be evaluated
  Returns:
    The base length value of the given kind

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.